Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.reflect
Class JpaClassDescriptorFactory

    java.lang.Object
      org.apache.cayenne.reflect.PersistentDescriptorFactory
          org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
              org.apache.cayenne.jpa.reflect.JpaClassDescriptorFactory

All Implemented Interfaces:
  ClassDescriptorFactory

    public class JpaClassDescriptorFactory

extends EnhancedPojoDescriptorFactory

Field Summary
`protected JpaEntityMap` | `entityMap`

Fields inherited from class org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
`faultFactory, fieldNameMapper`

Fields inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`descriptorMap`

Constructor Summary
`JpaClassDescriptorFactory(JpaEntityMap entityMap, ClassDescriptorMap descriptorMap, FaultFactory faultFactory)`

Method Summary
`protected Accessor` | `createAccessor(PersistentDescriptor descriptor, String propertyName, Class<?> propertyType)` Creates an accessor for the property.
`protected Accessor` | `createEmbeddableAccessor(EmbeddableDescriptor descriptor, String propertyName, Class<?> propertyType)` Creates an accessor for the property of the embeddable class.
`protected void` | `createToManyCollectionProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyListProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyMapProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManySetProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`

Methods inherited from class org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
`createEmbeddableDescriptor, createToOneProperty, getDescriptor`

Methods inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`createAttributeProperty, createDescriptor, createEmbeddedAttributeProperty, createMapKeyAccessor, getDescriptor, indexQualifiers, indexSubclassDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityMap

    protected JpaEntityMap entityMap

Constructor Detail

### JpaClassDescriptorFactory

    public JpaClassDescriptorFactory(JpaEntityMap entityMap,
                                     ClassDescriptorMap descriptorMap,
                                     FaultFactory faultFactory)

Method Detail

### createEmbeddableAccessor

    protected Accessor createEmbeddableAccessor(EmbeddableDescriptor descriptor,
                                                String propertyName,
                                                Class<?> propertyType)

  Description copied from class: `PersistentDescriptorFactory`
  Creates an accessor for the property of the embeddable class.

  Overrides:
    `createEmbeddableAccessor` in class `PersistentDescriptorFactory`

### createAccessor

    protected Accessor createAccessor(PersistentDescriptor descriptor,
                                      String propertyName,
                                      Class<?> propertyType)
                               throws PropertyException

  Description copied from class: `PersistentDescriptorFactory`
  Creates an accessor for the property.

  Overrides:
    `createAccessor` in class `PersistentDescriptorFactory`
  Throws:
    `PropertyException`

### createToManyListProperty

    protected void createToManyListProperty(PersistentDescriptor descriptor,
                                            ObjRelationship relationship)

  Overrides:
    `createToManyListProperty` in class `EnhancedPojoDescriptorFactory`

### createToManyMapProperty

    protected void createToManyMapProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Overrides:
    `createToManyMapProperty` in class `EnhancedPojoDescriptorFactory`

### createToManySetProperty

    protected void createToManySetProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Overrides:
    `createToManySetProperty` in class `EnhancedPojoDescriptorFactory`

### createToManyCollectionProperty

    protected void createToManyCollectionProperty(PersistentDescriptor descriptor,
                                                  ObjRelationship relationship)

  Overrides:
    `createToManyCollectionProperty` in class `EnhancedPojoDescriptorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.